r.out.ascii(1)

NAME
r.out.ascii - Converts a raster map layer into an ASCII text file.

SYNOPSIS
r.out.ascii
r.out.ascii help
r.out.ascii [-hsmi] input=string [output=string] [dp=integer] [width=integer] [null=string]

  Flags:

-h  Suppress printing of header information

-s  Write SURFER (Golden Software) ASCII grid

-m  Write MODFLOW (USGS) ASCII array

-i  Force output of integer values

  Parameters:

input=string
    Name of an existing raster map

output=string
    Name of an output ASCII grid map (use out=- for stdout)

dp=integer
    Number of significant digits (floating point only)

width=integer
    Number of values printed before wrapping a line (only SURFER or MODFLOW format)

null=string
    String to represent null cell (GRASS grid only) Default: *

DESCRIPTION
r.out.ascii converts a user-specified raster map layer (input=name) into an ASCII text file (output=name) suitable for export to other computer systems.

The GRASS program r.in.ascii can be used to perform the reverse function, converting an ASCII file in suitable format to GRASS raster file format.

With -s flag SURFER .grd ASCII GRID instead of GRASS ASCII GRID is written (with reverted row order, different header).

With -m flag MODFLOW (USGS) free-format array instead of GRASS ASCII GRID is written.

To write a SURFER .grd ASCII GRID file (with reverted row order and different header) use the -s flag: r.out.ascii -s input=inname output=outname.grd [dp=value]

NULL data are coded to "1.70141e+038" for SURFER ASCII GRID files (ignoring the null= parameter).

NOTES
The output from r.out.ascii may be placed into a file by using the UNIX redirection mechanism; e.g.: r.out.ascii input=soils output=- > out.file

The output file out.file can then be printed or copied onto a CDROM or floppy disk for export purposes.

SEE ALSO
r.in.ascii, r.in.arc

AUTHOR
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Surfer support by Markus Neteler

Last changed: $Date: 2004/11/17 14:42:49 $

Help Index